exclude: ".venv|tests/dev/|tests/fixtures/"
fail_fast: false
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.6.0
    hooks:
      - id: check-added-large-files
        args: ["--maxkb=500"]
      - id: check-toml
      - id: check-xml
      - id: check-yaml
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: fix-encoding-pragma
        args:
          - --remove
      - id: trailing-whitespace
        args:
          - --markdown-linebreak-ext=md

  - repo: https://github.com/charliermarsh/ruff-pre-commit
    rev: "v0.5.0"
    hooks:
      - id: ruff
        args:
          - --fix-only
          - --target-version=py39

  - repo: https://github.com/psf/black
    rev: 24.4.2
    hooks:
      - id: black
        args:
          - --target-version=py39

  - repo: https://github.com/pycqa/isort
    rev: 5.13.2
    hooks:
      - id: isort
        args:
          - --profile
          - black
          - --filter-files

  - repo: https://github.com/pycqa/flake8
    rev: 7.1.0
    hooks:
      - id: flake8
        language: python
        files: ^thrysis/.*\.py$
        args:
          - --config=setup.cfg
          - --select=E9,F401,F63,F7,F82

ci:
  autofix_prs: true
  autoupdate_schedule: quarterly
